1
0
mirror of git://git.sv.gnu.org/coreutils.git synced 2026-08-09 02:04:06 +02:00

Detect and report write failure of --help/--version.

This commit is contained in:
Jim Meyering
2000-05-12 22:38:58 +00:00
parent f2d53500ae
commit 30c412049f
2 changed files with 8 additions and 7 deletions
+4 -4
View File
@@ -1,6 +1,6 @@
#!/bin/sh
# groups -- print the groups a user is in
# Copyright (C) 1991, 1997 Free Software Foundation, Inc.
# Copyright (C) 1991, 1997, 2000 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -31,13 +31,14 @@ Same as id -Gn. If no USERNAME, use current process.
Report bugs to <sh-utils-bugs@gnu.org>."
fail=0
case $# in
1 )
case "z${1}" in
z--help )
echo "$usage"; exit 0 ;;
echo "$usage" || fail=1; exit $fail;;
z--version )
echo "groups (@GNU_PACKAGE@) @VERSION@"; exit 0 ;;
echo "groups (@GNU_PACKAGE@) @VERSION@" || fail=1; exit $fail;;
* ) ;;
esac
;;
@@ -48,7 +49,6 @@ if [ $# -eq 0 ]; then
id -Gn
fail=$?
else
fail=0
for name in "$@"; do
groups=`id -Gn -- $name`
status=$?
+4 -3
View File
@@ -1,6 +1,6 @@
#!/bin/sh
# nohup -- run a command immume to hangups, with output to a non-tty
# Copyright (C) 1991, 1997, 1999 Free Software Foundation, Inc.
# Copyright (C) 1991, 1997, 1999, 2000 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -37,13 +37,14 @@ if [ $# -eq 0 ]; then
exit 1
fi
fail=0
case $# in
1 )
case "z${1}" in
z--help )
echo "$usage"; echo "$usage_help"; exit 0 ;;
echo "$usage" || fail=1; echo "$usage_help" || fail=1; exit $fail;;
z--version )
echo "nohup (@GNU_PACKAGE@) @VERSION@"; exit 0 ;;
echo "nohup (@GNU_PACKAGE@) @VERSION@" || fail=1; exit $fail;;
* ) ;;
esac
;;